org.apache.solr.core

## Interface SolrInfoMBean

- All Known Subinterfaces:
    JmxMonitoredMap.JmxAugmentedSolrInfoMBean, SolrCache<K,V>, SolrEncoder, SolrFormatter, SolrFragListBuilder, SolrFragmenter, SolrRequestHandler
  All Known Implementing Classes:
    AnalysisRequestHandlerBase, BlobHandler, BlockJoinChildQParserPlugin, BlockJoinDocSetFacetComponent, BlockJoinFacetComponent, BlockJoinParentQParserPlugin, BoostQParserPlugin, BreakIteratorBoundaryScanner, CdcrRequestHandler, CollapsingQParserPlugin, CollectionsHandler, ComplexPhraseQParserPlugin, ConfigSetsHandler, ContentStreamHandlerBase, CoreAdminHandler, DebugComponent, DefaultEncoder, DirectUpdateHandler2, DisMaxQParserPlugin, DocumentAnalysisRequestHandler, DumpRequestHandler, ExpandComponent, ExportQParserPlugin, ExtendedDismaxQParserPlugin, FacetComponent, FacetModule, FastLRUCache, FieldAnalysisRequestHandler, FieldQParserPlugin, FileFloatSource.ReloadCacheRequestHandler, FunctionQParserPlugin, FunctionRangeQParserPlugin, GapFragmenter, GraphHandler, GraphQParserPlugin, GraphTermsQParserPlugin, HashQParserPlugin, HdfsLocalityReporter, HighlightComponent, HighlightingPluginBase, HtmlEncoder, HtmlFormatter, IGainTermsQParserPlugin, InfoHandler, JoinQParserPlugin, LFUCache, LoggingHandler, LRUCache, LuceneQParserPlugin, LukeRequestHandler, MaxScoreQParserPlugin, Metrics, MLTQParserPlugin, MoreLikeThisComponent, MoreLikeThisHandler, NestedQParserPlugin, NotFoundRequestHandler, OldLuceneQParserPlugin, PingRequestHandler, PluginInfoHandler, PrefixQParserPlugin, PropertiesRequestHandler, QParserPlugin, QueryComponent, QueryElevationComponent, RawQParserPlugin, RealTimeGetComponent, RealTimeGetHandler, RegexFragmenter, ReplicationHandler, RequestHandlerBase, ReRankQParserPlugin, ResponseLogComponent, SchemaHandler, ScoreJoinQParserPlugin, ScoreOrderFragmentsBuilder, SearchComponent, SearchHandler, SecurityConfHandler, SegmentsInfoRequestHandler, ShowFileRequestHandler, SimpleBoundaryScanner, SimpleFragListBuilder, SimpleFragmentsBuilder, SimpleQParserPlugin, SingleFragListBuilder, SolrBoundaryScanner, SolrConfigHandler, SolrCore, SolrFieldCacheMBean, SolrFragmentsBuilder, SolrIndexSearcher, SolrInfoMBeanHandler, SolrInfoMBeanWrapper, SpatialBoxQParserPlugin, SpatialFilterQParserPlugin, SpellCheckComponent, SQLHandler, StandardRequestHandler, StatsComponent, StreamHandler, SuggestComponent, SurroundQParserPlugin, SwitchQParserPlugin, SystemInfoHandler, TermQParserPlugin, TermsComponent, TermsQParserPlugin, TermVectorComponent, TextLogisticRegressionQParserPlugin, ThreadDumpHandler, UpdateHandler, UpdateRequestHandler, WeightedFragListBuilder, XmlQParserPlugin, ZookeeperInfoHandler

      public interface SolrInfoMBean

  MBean interface for getting various ui friendly strings and URLs for use by objects which are 'pluggable' to make server administration easier.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `SolrInfoMBean.Category`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SolrInfoMBean.Category` | `getCategory()` Purpose of this Class
    `String` | `getDescription()` Simple one or two line description
    `URL[]` | `getDocs()` Documentation URL list.
    `String` | `getName()` Simple common usage name, e.g.
    `String` | `getSource()` CVS Source, SVN Source, etc
    `NamedList` | `getStatistics()` Any statistics this instance would like to be publicly available via the Solr Administration interface.
    `String` | `getVersion()` Simple common usage version, e.g.

- - ### Method Detail

    - #### getName

          String getName()

      Simple common usage name, e.g. BasicQueryHandler, or fully qualified clas name.

    - #### getVersion

          String getVersion()

      Simple common usage version, e.g. 2.0

    - #### getDescription

          String getDescription()

      Simple one or two line description

    - #### getCategory

          SolrInfoMBean.Category getCategory()

      Purpose of this Class

    - #### getSource

          String getSource()

      CVS Source, SVN Source, etc

    - #### getDocs

          URL[] getDocs()

      Documentation URL list.

      Suggested documentation URLs: Homepage for sponsoring project, FAQ on class usage, Design doc for class, Wiki, bug reporting URL, etc...

    - #### getStatistics

          NamedList getStatistics()

      Any statistics this instance would like to be publicly available via the Solr Administration interface.

      Any Object type may be stored in the list, but only the `toString()` representation will be used.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.